---
- name: Create keyring directory
  ansible.builtin.file:
    path: "/etc/apt/keyrings/"
    state: directory
    owner: root
    group: root
    mode: '0755'

- name: Update all
  ansible.builtin.apt:
    update-cache: true
  timeout: "{{ os_update_timeout }}"
  changed_when: false

- name: Upgrade
  ansible.builtin.apt:
    upgrade: "{{ os_update_upgrade }}"

- name: Install system packages
  ansible.builtin.apt:
    pkg:
      - apt-transport-https
      - ca-certificates
      - lsb-release
      - software-properties-common
    state: latest  # noqa package-latest

- name: Cleanup
  ansible.builtin.apt:
    autoclean: true
    autoremove: true
